<div class="content__item content__item--border bg__content--default">
  <app-loading *ngIf="isLoadingPage"></app-loading>

  <!-- Form Search -->
  <form nz-form [formGroup]="form" style="margin-bottom: 8px">
    <div nz-row [nzGutter]="[30,30]">
      <!--    Form tìm kiếm -->
      <!--Đơn vị-->
      <div nz-col [nzXs]='24' [nzLg]='12'>
        <employee-data-picker
          [mbCanText]='true'
          formControlName='employee'
          mbLabelText="{{'staffManager.report.chooseEmployee' | translate}}"
          [functionCode]="functionCode"
          [scope]="scope"
        ></employee-data-picker>
      </div>

      <div nz-col [nzXs]='24' [nzLg]='24'>
        <mb-input-text formControlName='empCodes'
                       mbPlaceholderText="{{'staffManager.report.employeeCodes2' | translate}}"
                       mbLabelText="{{'staffManager.report.employeeCodes' | translate}}"></mb-input-text>
      </div>

      <div nz-col [nzXs]='24' [nzLg]='24'>
        <mb-input-text formControlName='emails'
                       mbPlaceholderText="{{'staffManager.report.emails2' | translate}}"
                       mbLabelText="{{'staffManager.report.emails' | translate}}"></mb-input-text>
      </div>

    </div>
    <div nz-row [nzGutter]="[30,30]" class='btn-center'>
      <div nz-col nzXs="24" nzLg="24">
        <mb-button
          mbButtonSize="SMALL"
          mbButtonAvailableStyle="SEARCH"
          mbButtonText="{{'staffManager.report.export' | translate}}"
          nzTrigger="click"
          nzPlacement="bottomLeft"
          nz-dropdown
          [nzClickHide]="false"
          [nzDropdownMenu]="menu"
        ></mb-button>
        <nz-dropdown-menu #menu="nzDropdownMenu">
          <ul nz-menu class="btnListWrap">
            <li
              nz-button
              nz-menu-item
              class="btnItem"
              (click)="doExport('docx')"
            >
              <div class="menu__item">
                <em nz-icon nzType="file-word" nzTheme="outline" class="iconClass"></em>
                <span>{{'staffManager.report.reportTypeDocx' | translate}}</span>
              </div>
            </li>
            <li
              nz-button
              nz-menu-item
              class="btnItem"
              (click)="doExport('pdf')"
            >
              <div class="menu__item">
                <em nz-icon nzType="file-pdf" nzTheme="outline" class="iconClass"></em>
                <span>{{'staffManager.report.reportTypePdf' | translate}}</span>
              </div>
            </li>

          </ul>
        </nz-dropdown-menu>
      </div>
    </div>
  </form>
</div>
